Skip to main content

BIN Lookup


The BIN Lookup Service returns BIN attribute information for the payment credential specified in the request. recommends sending the full payment card number (PAN), a TMS token, or a network token to ensure a single BIN record is identified. Sending a six-digit or eight-digit card prefix can result in a MULTIPLE record match error.

Endpoint

POST /bin/v1/binlookup

POST /bin/v1/binlookup

POST /bin/v1/binlookup

Include one of these payment credential fields in the request for the BIN Lookup Service:

FieldTypeDescription
paymentInformation.card.numberView field reference → Set this field to the full payment card number (recommended) or network token.
paymentInformation.customer.idView field reference →
paymentInformation.instrumentIdentifier.idView field reference →
paymentInformation.paymentInstrument.idView field reference →
tokenInformation.jtiView field reference →
tokenInformation.transientTokenJwtView field reference →

These fields are optional for a BIN Lookup Service request:

Optional Fields
FieldTypeDescription
paymentAccountInformation.network.idView field reference →
processingInformation.binSourceView field reference →

Examples

These examples show various BIN lookup requests and successful responses.

Full Payment Card Number

{  "paymentInformation": {    "card": {      "number": "4XXXXXXXXXXXXXXX"    }  }}
{  "id": "7187318127246929204951",  "submitTimeUtc": "2024-06-18T05:30:12Z",  "status": "COMPLETED",  "paymentAccountInformation": {    "card": {      "type": "001",      "brandName": "VISA",      "maxLength": "16",      "credentialType": "PAN"    },    "features": {      "accountFundingSource": "DEBIT",      "cardPlatform": "CONSUMER",      "cardProduct": "Visa Classic"    }  },  "issuerInformation": {    "name": "CONOTOXIA SP. Z O.O",    "country": "PL",    "binLength": "6",    "accountPrefix": "41111111"  }}

Health Card Number

{  "paymentInformation": {    "card": {      "number": "4XXXXXXXXXXXX"    }  }}
{  "id": "7187371922356613504951",  "submitTimeUtc": "2024-06-18T06:59:52Z",  "status": "COMPLETED",  "paymentAccountInformation": {    "card": {      "type": "001",      "brandName": "VISA",      "maxLength": "16",      "currency": "USD",      "credentialType": "PAN"    },    "features": {      "accountFundingSource": "CREDIT",      "cardPlatform": "COMMERCIAL",      "cardProduct": "Visa Purchasing",      "healthCard": true    }  },  "issuerInformation": {    "name": "BANKUNITED, NATIONAL ASSOCIATION",    "country": "US",    "binLength": "6",    "accountPrefix": "42889001"  }}

Network Token

{  "paymentInformation": {    "card": {      "number": "4XXXXXXXXXXXXXXX"    }  }}
{  "id": "6680880793396052804990",  "submitTimeUtc": "2022-11-10T01:47:59Z",  "status": "COMPLETED",  "paymentAccountInformation": {    "card": {      "type": "001",      "brandName": "VISA",      "maxLength": "16",      "credentialType": "TOKEN"    },    "features": {      "accountFundingSource": "DEBIT",      "cardPlatform": "CONSUMER",      "cardProduct": "Visa Classic"    }  },  "issuerInformation": {    "name": "INTL HDQTRS-CENTER OWNED",    "country": "US",    "binLength": "6",    "accountPrefix": "4111111"  }}

Six-Digit Payment Card Prefix

{  "paymentInformation": {    "card": {      "number": "5033961"    }  }}
// This response occurs when multiple account ranges are found with the provided digits.// If you receive this response, provide extended BIN digits to narrow the result to a single range.{  "id": "6445408746306656603955",  "submitTimeUtc": "2022-02-11T12:54:35Z",  "status": "MULTIPLE"}

Eight-Digit Payment Card Prefix

{  "paymentInformation": {    "card": {      "number": "71111111"    }  }}
// This response occurs when a BIN record is not found with the provided digits.{  "id": "6445408746306656603955",  "submitTimeUtc": "2022-02-11T12:54:35Z",  "status": "NO MATCH"}

TMS Customer ID Token

{  "paymentInformation": {    "customer": {      "id": "D0ED44421CDA7A58E053AF598E0AD964"    }  }}

TMS Payment Instrument Token

{  "paymentInformation": {    "paymentInstrument": {      "id": "D0ED44421CD97A58E053AF598E0AD964"    }  }}

TMS Instrument Identifier Token

{  "paymentInformation": {    "instrumentIdentifier": {      "id": "801E10E1B4E2C86AE05341588E0A86EC"    }  }}

TMS jti Transient Token

{  "tokenInformation": {    "jti": "1C26VZRFEIQMOO5H0504KH47I0AM2IZFC43V5L541HBLN9COI3L75F3194E196A1"  }}

Flex API JWT Transient Token

{  "tokenInformation": {    "transientTokenJwt": "eyJraWQ...xxxxx.yyyyy.zzzzz...xZqoGA"  }}

Response Fields

A response for the BIN Lookup Service can include these response fields:

Response Fields
FieldDescription
idView field reference →
issuerInformation.accountPrefixView field reference →
issuerInformation.binLengthView field reference →
issuerInformation.countryView field reference →
issuerInformation.nameView field reference →
issuerInformation.phoneNumberView field reference →
paymentAccountInformation.card.brandNameView field reference →
paymentAccountInformation.card.brands.brandNameView field reference →
paymentAccountInformation.card.brands.typeView field reference →
paymentAccountInformation.card.currencyView field reference →
paymentAccountInformation.card.maxLengthView field reference →
paymentAccountInformation.card.typeView field reference →
paymentAccountInformation.features.acceptanceLevelView field reference →
paymentAccountInformation.features.accountFundingSourceView field reference →
paymentAccountInformation.features.accountFundingSourceSubTypeView field reference →
paymentAccountInformation.features.cardPlatformView field reference →
paymentAccountInformation.features.cardProductView field reference →
paymentAccountInformation.features.comboCardView field reference →
paymentAccountInformation.features.corporatePurchaseView field reference →
paymentAccountInformation.features.healthCardView field reference →
paymentAccountInformation.features.messageTypeView field reference →
statusView field reference →
submitTimeUtcView field reference →

Last published: September 29, 2026